<?php
if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

// Add a filter for the system and sub menus
$thisplugin->add_filter('sys_menu_buttons', 'menu_filter_sys_menu_buttons');
$thisplugin->add_filter('sub_menu_buttons', 'menu_filter_sub_menu_buttons');

// filter the system menu buttons
function menu_filter_sys_menu_buttons(&$menu) 
{
	$count = count($menu);
	for ($i = 0; $i < $count; $i++)
	{
		if ($menu[$i][0] == '{LOGIN_LNK}' || 
			$menu[$i][0] == '{REGISTER_LNK}' ||
			$menu[$i][0] == '{MY_PROF_LNK}')
		{
			//echo 'Removing '.$menu[$i][0].'<br>';
			unset($menu[$i]);
		}
		else
		{
			//echo 'Skipping '.$menu[$i][0].'<br>';
		}
	}
	//die('');
	return $menu;
}

// filter the sub menu buttons
function menu_filter_sub_menu_buttons(&$menu) 
{
	$count = count($menu);
	for ($i = 0; $i < $count; $i++)
	{
		if ($menu[$i][0] == '{LASTUP_LNK}' || 
			$menu[$i][0] == '{LASTCOM_LNK}' || 
			$menu[$i][0] == '{TOPN_LNK}' ||
			$menu[$i][0] == '{TOPRATED_LNK}' ||
			$menu[$i][0] == '{FAV_LNK}')
		{
			//echo 'Removing '.$menu[$i][0].'<br>';
			unset($menu[$i]);
		}
		else
		{
			//echo 'Skipping '.$menu[$i][0].'<br>';
		}
	}
	//die('');
	return $menu;
}
?>
